[Fatal error] Attempt to get the latitude of an invalid location
Closed, ResolvedPublic

Description

2012-07-24 08:10:48 v22011026445052.yourvserver.net mediawiki-bw_: [674bb581] /w/i.php?title=User:BetelgeuSeginus&action=formedit Exception from line 214 of /www/w/extensions/Maps/includes/Maps_Location.php: Attempt to get the latitude of an invalid location
#0 /www/w/extensions/Maps/includes/Maps_Location.php(427): MapsLocation->getLatitude()
#1 /www/w/extensions/Maps/includes/manipulations/Maps_ParamLocation.php(77): MapsLocation->getJSONObject()
#2 /www/w/extensions/Validator/includes/ItemParameterManipulation.php(61): MapsParamLocation->doManipulation(Object(MapsLocation), Object(ListParameter), Array)
#3 /www/w/extensions/Validator/includes/Param.php(217): ItemParameterManipulation->manipulate(Object(ListParameter), Array)
#4 /www/w/extensions/Validator/includes/Validator.php(317): Param->format(Array, Array)
#5 /www/w/extensions/Validator/includes/Validator.php(257): Validator->doParamProcessing()
#6 /www/w/extensions/SemanticMaps/includes/forminputs/SM_FormInput.php(115): Validator->validateParameters()
#7 /www/w/extensions/SemanticMaps/includes/forminputs/SM_FormInputs.php(122): SMFormInput->getInputOutput('', 'Location[1]', false, false, Array)
#8 [internal function]: smfSelectFormInputHTML('', 'Location[1]', false, false, Array)
#9 /www/w/extensions/SemanticForms/includes/SF_FormPrinter.php(1628): call_user_func_array('smfSelectFormIn...', Array)
#10 /www/w/extensions/SemanticForms/includes/SF_FormPrinter.php(1223): SFFormPrinter->formFieldHTML(Object(SFFormField), '')
#11 /www/w/extensions/SemanticForms/specials/SF_FormEdit.php(198): SFFormPrinter->formHTML('<includeonly>?<...', false, true, 2156538, '{{Location}}?{{...', 'User:BetelgeuSe...', NULL)
#12 /www/w/extensions/SemanticForms/includes/SF_FormEditAction.php(202): SFFormEdit::printForm('Translator', 'User:BetelgeuSe...')
#13 /www/w/extensions/SemanticForms/includes/SF_FormEditAction.php(32): SFFormEditAction::displayForm(Object(SFFormEditAction), Object(Article))
#14 /www/w/includes/Wiki.php(492): SFFormEditAction->show()
#15 /www/w/includes/Wiki.php(277): MediaWiki->performAction(Object(Article))
#16 /www/w/includes/Wiki.php(601): MediaWiki->performRequest()
#17 /www/w/includes/Wiki.php(511): MediaWiki->main()
#18 /www/w/index.php(58): MediaWiki->run()
#19 {main}


Version: REL1_20-branch
Severity: major

bzimport set Reference to bz38632.
Nikerabbit created this task.Via LegacyJul 24 2012, 8:12 AM
Nikerabbit added a comment.Via ConduitAug 9 2012, 6:46 AM

Any ETA?

Nikerabbit added a comment.Via ConduitAug 17 2012, 12:29 PM

How to reproduce:

Template:Location:
<includeonly>[[Coordinates::{{{1}}}]]</includeonly>

Have a page with:
{{Location|}}

And it it with a form which as:
{{{field|1|property=Coordinates|input type=googlemaps}}}

This seems to be triggered sometimes even without {{Location|}}, but always on action=formedit

siebrand added a comment.Via ConduitAug 31 2012, 7:37 AM

Jeroen?

Nikerabbit added a comment.Via ConduitOct 17 2012, 9:46 AM

Jeroen, did you fix this? I haven't seen this error recently.

Nemo_bis added a comment.Via ConduitNov 25 2012, 11:44 AM

Still happening and preventing users from creating userpages as of yesterday. https://translatewiki.net/w/i.php?title=User:BaseBot&action=history

JeroenDeDauw added a comment.Via ConduitJan 8 2013, 10:12 PM

The code throwing this exception no longer exists, so I'm guessing the error is no longer there either :)

Siebrand and Nikelas: Just saw this bug now. Getting lots of bug reports. If I don't respond here in a timely manner, do feel free to poke me on irc or mail me :)

bzimport added a comment.Via ConduitFeb 16 2013, 2:47 PM

leonelli.david wrote:

Although this is listed as fixed/resolved I still get exactly the same error.

May config is as below the alphas are an attempt to see if an update would fix the error. Also I have tried initializing Maps and SM outside of SB.

Are you still getting reports from others?

PS, Thanks for all your hard work on SMW!

MediaWiki 1.20.2
PHP 5.3.13 (cgi-fcgi)
MySQL 5.0.91-log

Semantic Bundle (Version 1.8alpha)
Semantic Compound Queries (Version 0.3.4)
Semantic Drilldown (Version 1.2.4)
Semantic Forms (Version 2.5.1)
Semantic Forms Inputs (Version 0.7 alpha)
Semantic Image Input (Version 0.2 alpha)
Semantic Internal Objects (Version 0.7.1)
Semantic Maps (Version 2.0.1.2)
Semantic MediaWiki (Version 1.8.0.1)
Semantic Result Formats (Version 1.8)
SemanticTasks (Version 1.4.1)
Admin Links (Version 0.1.7)
Data Transfer (Version 0.3.12)
Nuke (Version 1.1.7)
Renameuser
Replace Text (Version 0.9.5)
Parser hooks
Arrays (Version 2.0rc3 alpha)
External Data (Version 1.4.2)
Header Tabs (Version 0.9.2)
Maps (Version 2.1 alpha)
Page Schemas (Version 0.3.1)
ParserFunctions (Version 1.4.1)
ConfirmEdit (Version 1.1)
Other
Gadgets
Validator (Version 0.5.1)
Vector (Version 0.3.0)
WikiEditor (Version 0.3.1)

JeroenDeDauw added a comment.Via ConduitFeb 16 2013, 3:56 PM

Although this is listed as fixed/resolved I still get exactly the same error.

I'm guessing it is still there. It however can no longer be there on the latest dev version as the relevant code no longer exists, and thus will also not be present in the next release.

bzimport added a comment.Via ConduitApr 28 2013, 10:33 PM

redlizard wrote:

Fixes the empty location bug.

This patch fixes the problem for me, in SemanticMaps 2.0.1.2. I have not yet tested it extensively for completion and correctness.

Attached: empty-location.patch

Aklapper edited projects, added MW-1.21-release; removed MW-extension-1.21-version.Via WebDec 19 2014, 8:17 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.